apiVersion: apps/v1
kind: Deployment
metadata:
  name: myapp-deployment
spec:
  replicas: 2
  selector:
    matchLabels:
      app: myapp
  template:
    metadata:
      labels:
        app: myapp
    spec:
      containers:
      - name: myapp
        image: 533267197894.dkr.ecr.us-east-1.amazonaws.com/final_project:latest
        ports:
        - containerPort: 8080
